import java.io.*;
import java.util.*;

/**
 * <p>Title: Log file iterator</p>
 * <p>Description: This class will read from an input log file, which contains
 * the index of all log files, and iterate the log file names.</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: SCE, Carleton University</p>
 * @author Liu, Qi
 * @version 1.0
 */

public class LogFileIterator implements Iterator{

    private BufferedReader in;
    private String line;

    public LogFileIterator(String indexLogFileName){
        try{
            in = new BufferedReader(new FileReader(indexLogFileName));
        } catch(IOException ex){
            System.out.println("Read index log file failed!");
        }
    }

    public boolean hasNext(){
        boolean result = false;
        try{
            line = in.readLine();
            while((line != null) && (line.startsWith("["))){ //the "[logfiles] line"
                line = in.readLine();
            }
            if(line != null){
                return true;
            }
        } catch(IOException ex){
            System.out.println("hasNext --> Read index log file failed!");
        }
        return result;
    }

    public Object next(){
        line = line.trim();
        String logFileName = line.substring((line.indexOf(":")+2));
        return logFileName;
    }

    public void remove(){
    }

    public static void main(String[] args){
        LogFileIterator it = new LogFileIterator(args[0]);
        try {
            PrintWriter out = new PrintWriter(new FileWriter("logfilenames.txt"),true);
            while (it.hasNext()) {
                out.println(it.next());
            }
        }
        catch (IOException ex) {
            System.out.println("Read log file index failed!");
            System.exit(1);
        }
    }
}