[top]
components : consumerschoice

[consumerschoice]
type : cell
dim : (30, 30)
delay : transport
defaultDelayTime : 100
border : wrapped
neighbors : consumerschoice(-1,-1)  consumerschoice(-1,0) consumerschoice(-1,1)
neighbors : consumerschoice(0,-1)  consumerschoice(0,0)  consumerschoice(0,1)
neighbors : consumerschoice(1,-1)  consumerschoice(1,0)  consumerschoice(1,1)
initialValue : 0
initialCellsValue : init.val
localTransition : choose_rule
stateVariables: vos1 vos2
stateValues: 0 0
initialVariablesValue: var.val

% Consumers' Choice Model for new CD++ --> New Market + Same Prices
% Settings: Umin=0.4 Umax=0.8 p1=p2=0.25 
% The learning-by-doing coefficient is set to 0.5
% The skill deprication coefficient (y) is set to 0.5

[choose_rule]
% if the current state is 0, then both vos1 and vos2 are depricated by multiplying y(1-y), that is 0.25
rule : {if((stateCount(1)+9*$vos1)>(stateCount(2)+9*$vos2), 1 , if((stateCount(2)+9*$vos2)>(stateCount(1)+9*$vos1), 2, 0))} {$vos1 := $vos1*0.25; $vos2 := $vos2*0.25; } 100 {(0,0)=0}

% if the current state is 1, then vos1=(vos1+1)*0.25, and vos2=vos2*0.25
rule : {if((stateCount(2)+9*$vos2)>(stateCount(1)+9*$vos1), 2 , 1)} {$vos1 := ($vos1+1)*0.25; $vos2 := $vos2*0.25; } 100 {(0,0)=1}

% if the current state is 2, then vos1=vos1*0.25, and vos2=(vos2+1)*0.25 
rule : {if((stateCount(1)+9*$vos1)>(stateCount(2)+9*$vos2), 1 , 2)} {$vos1 := $vos1*0.25; $vos2 := ($vos2+1)*0.25; } 100 {(0,0)=2}
